EDIT - feature request #7502

Add further columns to bulk editor
06/20/2018 10:16 AM - Andreas Miiller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.4

Severity: normal

Description

As a start we could always add id, uuid, created, updated. But if possible there should be a way to hide this columns if wanted.
(created, updated is less important, if difficult to implement)

Going further it would be nice to have

e further cache fields (e.g. nameCache and authorshipCache for TaxonName, abbreviatedCache("nomencl. cache") for
Reference, nomenclaturalTitle for Person and Team)
Important atomized String fields like

o TaxonName.GenusOrUninomial, .InfraGenericEpi, .specificEpi, .infraSpecificEpi

o Reference.title, .abbreviatedTitle("nomencl. title")

o Person.familyName, .otherName, .initials

o Media.title, Media.description
¢ Important boolean values like

o TaxonBase.publish and Specimen.publish

o Team.hasMoreMembers

o protectedXXX fields (behind the respective caches)
More difficult are Specimen/FieldUnits, relevant columns here: Country, collector, collecting number, collection, accession
number/barcode/..., but they are spread to various classes so don't know if they are easy to handle

The above issues are ordered according to importance so feel free to start implementing only the first issues.

Related issues:

Related to EDIT - feature request #7659: Implement algorithm to optimize init... New
Follows EDIT - feature request #7439: Use NatTable for BulkEditor Closed
Precedes EDIT - feature request #7503: Make cells in bulk editor editable New
Copied to EDIT - bug #7852: NAT table symbols for boolean values change to te... New
Copied to EDIT - feature request #7853: Support multi column sort for NAT tab... New

Associated revisions

Revision 92a795af - 09/19/2018 04:15 PM - Patrick Plitzner
ref #7502 Add id and uuid to bulk editor

Revision becc1d18a - 09/19/2018 04:23 PM - Patrick Plitzner
ref #7502 Add option to hide and show columns

Revision 521ddbfc - 10/05/2018 12:27 PM - Patrick Plitzner

ref #7502 Refactor column generation

¢ move constants and column properties to bulk editor input

Revision bb67f3ba - 10/05/2018 12:27 PM - Patrick Plitzner
ref #7502 Add nomenclatural title to agent bulk editor

Revision 11badbed - 10/05/2018 12:27 PM - Patrick Plitzner
ref #7502 Change column order
® Move type column back

Revision de3db973 - 10/05/2018 12:27 PM - Patrick Plitzner
ref #7502 code cleaning

Revision f€289550 - 10/05/2018 12:27 PM - Patrick Plitzner

ref #7502 Add name cache and authorship cache for names

Revision 68befb95 - 10/05/2018 12:27 PM - Patrick Plitzner

ref #7502 Add abbrev (nomencl.) cache for references

Revision 27cee58f - 10/05/2018 12:27 PM - Patrick Plitzner
ref #7502 Add Name.Genus and epithets

Revision d1ccac39 - 10/05/2018 12:27 PM - Patrick Plitzner

ref #7502 Add property columns for agents, media and references

Revision 0e7c806f - 10/05/2018 12:27 PM - Patrick Plitzner
ref #7502 Add boolean property columns

Revision d9ade402 - 10/05/2018 12:27 PM - Patrick Plitzner

ref #7502 Add protected cache boolean property columns

Revision 9d42b88f - 10/05/2018 12:27 PM - Patrick Plitzner

ref #7502 Add various occurrence columns

Revision 079534a2 - 10/05/2018 12:27 PM - Patrick Plitzner

ref #7502 Show boolean properties in checkboxes

Revision 9767c1ad - 10/05/2018 05:35 PM - Patrick Plitzner
ref #7502 Show lock icon in header

Revision 62b55a78 - 10/05/2018 05:56 PM - Patrick Plitzner
ref #7502 Show tooltip for lock icon in header

Revision 6fd483b7 - 10/08/2018 12:09 PM - Patrick Plitzner

ref #7502 Remove debug context menu

Revision ef7ec8ab - 10/08/2018 12:12 PM - Patrick Plitzner
ref #7502 Add table settings to search bar

Revision 271be809 - 10/08/2018 12:16 PM - Patrick Plitzner
ref #7502 Fix "de" translation

Revision 0dda9c8f - 10/08/2018 12:40 PM - Patrick Plitzner
ref #7502 Save table settings when closing bulk editor

Revision 9387c¢2d2 - 10/17/2018 03:48 PM - Patrick Plitzner
ref #7502 Fix et al. label

History

#1 - 06/20/2018 10:16 AM - Andreas Miiller
- Due date set to 05/29/2018
- Start date changed from 06/20/2018 to 05/29/2018

- Follows feature request #7439: Use NatTable for BulkEditor added

03/20/2024

2/5



#2 - 06/20/2018 10:24 AM - Andreas Miiller
- Precedes feature request #7503: Make cells in bulk editor editable added

#3 - 06/27/2018 02:19 PM - Andreas Miiller

- Target version changed from Release 5.1 to Release 5.2

#4 - 08/07/2018 04:04 PM - Andreas Miiller
- Due date deleted (05/29/2018)

#5 - 08/08/2018 03:47 PM - Patrick Plitzner

- Target version changed from Release 5.2 to Release 5.3

#6 - 08/17/2018 10:42 AM - Andreas Miiller

- Related to feature request #7659: Implement algorithm to optimize initial column size in NAT tables added

#7 - 09/06/2018 11:16 AM - Patrick Plitzner

- Target version changed from Release 5.3 to Release 5.4

#9 - 09/19/2018 01:18 PM - Andreas Miiller
- Description updated
- Priority changed from New to Highest

#10 - 09/19/2018 04:24 PM - Patrick Plitzner
- Status changed from New to Feedback
- Assignee changed from Patrick Plitzner to Andreas Mliller

- % Done changed from 0 to 20
@Andreas: Please review the first implementation of this for id and uuid

#11 - 09/24/2018 12:29 PM - Andreas Miiller
- Status changed from Feedback to In Progress
- Assignee changed from Andreas Muiller to Patrick Plitzner

Patrick Plitzner wrote:

@Andreas: Please review the first implementation of this for id and uuid

Looks ok.
Minor issues:

e | do not understand the sorting of uuids. Looks like they sort from 8xxx to fxxx and then start from Oxxx to 7xxx. This might be due to the way
how they are internally represented. But it would be better to do it more intuitiv for human users.

¢ |t seems not to be possible to reenable (unhide) single columns, but only all. Is this the only possibility that NAT offers?

¢ The right click menu has 3 separators between "New" and "Hide column". It would be nice if they could be deduplicated.

Generally | think you can continue with the implementation.

#12 - 10/05/2018 12:28 PM - Patrick Plitzner
- Status changed from In Progress to Resolved
- Assignee changed from Patrick Plitzner to Andreas Muiller

- % Done changed from 20 to 50

| implemented all of the mentioned properties as columns.

Please check all types of bulk editors.
#13 - 10/17/2018 03:39 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Patrick Plitzner

The symbol still switches to label if if one sorts by a "protected" boolean field.

#14 - 10/17/2018 03:44 PM - Andreas Miiller

Question: does NAT support multi-sort? E.g. you want to sort first by protected or not protected titleCache, second order should be alphabetic order of
titteCache.

Note: Some frameworks implement this by first sorting by the second sort, then by the first. The previous sort order stil exists then but is reordered if
and only if it does not fit with the later sorting. Would be nice to have this.

#15 - 10/17/2018 03:47 PM - Andreas Miiller

etal =>etal.
#16 - 10/17/2018 03:49 PM - Patrick Plitzner
Andreas Muller wrote:

Question: does NAT support multi-sort? E.g. you want to sort first by protected or not protected titleCache, second order should be alphabetic
order of titteCache.

Note: Some frameworks implement this by first sorting by the second sort, then by the first. The previous sort order stil exists then but is

reordered if and only if it does not fit with the later sorting. Would be nice to have this.

NatTable supports multi sort but | have still not tested it yet
#17 - 10/17/2018 03:52 PM - Patrick Plitzner
Andreas Miller wrote:
The symbol still switches to label if if one sorts by a "protected" boolean field.

| have been playing around with this and it is not an easy fix. Anyway, with the current column size it's not that critical for now because the icon just
changes into the sorting arrow and you don't even see the text.

#18 - 10/17/2018 03:53 PM - Andreas Miiller

The view configurations dialog does not disable buttons which are not available. Also "Done" | would relabel to "Close". Or is this an RCP System
dialog which can't be changed?

#19 - 10/17/2018 03:53 PM - Andreas Miiller
Patrick Plitzner wrote:
Andreas Miiller wrote:
The symbol still switches to label if if one sorts by a "protected" boolean field.

| have been playing around with this and it is not an easy fix. Anyway, with the current column size it's not that critical for now because the icon
just changes into the sorting arrow and you don't even see the text.

true, not critical, but we should remember the open issue.

#20 - 10/17/2018 03:54 PM - Andreas Miiller

All the rest works very fine and is great new functionality!!

#21 - 10/17/2018 03:55 PM - Patrick Plitzner

Andreas Muller wrote:

The view configurations dialog does not disable buttons which are not available. Also "Done" | would relabel to "Close". Or is this an RCP
System dialog which can't be changed?
This is a built-in NatTable dialog

#22 - 10/19/2018 03:01 PM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Andreas Miiller

#23 - 10/23/2018 04:07 PM - Andreas Miiller
- Copied to bug #7852: NAT table symbols for boolean values change to text if columns are sorted added

#24 - 10/23/2018 04:08 PM - Andreas Miiller

Andreas Muller wrote:
Patrick Plitzner wrote:
Andreas Muller wrote:

The symbol still switches to label if if one sorts by a "protected" boolean field.

| have been playing around with this and it is not an easy fix. Anyway, with the current column size it's not that critical for now because the
icon just changes into the sorting arrow and you don't even see the text.

true, not critical, but we should remember the open issue.

copied to new ticket #7852

#25 - 10/23/2018 04:10 PM - Andreas Miiller
- Copied to feature request #7853: Support multi column sort for NAT tables (e.g. in bulk editor) added

#26 - 10/23/2018 04:11 PM - Andreas Miiller

Patrick Plitzner wrote:
Andreas Muller wrote:

Question: does NAT support multi-sort? E.g. you want to sort first by protected or not protected titleCache, second order should be
alphabetic order of titleCache.

Note: Some frameworks implement this by first sorting by the second sort, then by the first. The previous sort order stil exists then but is
reordered if and only if it does not fit with the later sorting. Would be nice to have this.

NatTable supports multi sort but | have still not tested it yet

copied to new ticket #7853

#27 - 10/23/2018 04:11 PM - Andreas Miiller
- Status changed from Feedback to Closed
- Assignee changed from Andreas Miiller to Patrick Plitzner

- % Done changed from 50 to 100

Open issues copied to new tickets. Close this ticket.
